Asterisk Project : Asterisk 11 Application_ReadFile This page last changed on Sep 26, 2012 by wikibot. # ReadFile() ### Synopsis Read the contents of a text file into a channel variable. ### Description Read the contents of a text file into channel variable varname
| Warning ReadFile has been deprecated in favor of Set(varname=${FILE(file,0,length)})
### Syntax
    ReadFile(varnamefile[length])
##### Arguments `varname` - Result stored here. `fileparams` `file` - The name of the file to read. `length` - Maximum number of characters to capture.If not specified defaults to max. ### See Also Asterisk 11 Application_System Asterisk 11 Application_Read ### Import Version This documentation was imported from Asterisk Version SVN-branch-11-r373804

Document generated by Confluence on Nov 02, 2012 17:42